Bug 217372 - VM started with "maximum memory".
VM started with "maximum memory".
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: virt-manager (Show other bugs)
5.0
i386 All
medium Severity medium
: ---
: ---
Assigned To: Daniel Berrange
:
Depends On: 214346
Blocks: 222399
  Show dependency treegraph
 
Reported: 2006-11-27 11:07 EST by Chris Lalancette
Modified: 2010-10-22 03:07 EDT (History)
4 users (show)

See Also:
Fixed In Version: RHEA-2007-0637
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-11-07 11:34:21 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Chris Lalancette 2006-11-27 11:07:38 EST
+++ This bug was initially created as a clone of Bug #214346 +++

Description of problem:
VM alsways started with "maximum memory" instead of "start up memory", which 
was defined by virt-manager GUI.  
I set "400" for "start up memory" and "512" for "maximum memory" with virt-
manager.  
But with checking on configuration file, "memory" was set as "512".  
I though it should be "400".  

Version-Release number of selected component (if applicable):
xen-3.0.3-0.1.rc3  
libvirt-0.1.7-2  
virt-manager-0.2.3-2.fc6  
python-virtinst-0.95.0-1.fc6  

How reproducible:
always

Steps to Reproduce:
1. Launch virt-manager and connect to the local xen instance.  
2. Click "New" button and create a VM.  
3. Set the items were set as follows.
  start up memory: 400
  maximum memory : 512
  domain name    : rhel4u2_dom01
  virtualization method : Fully virtualized
  installation source   : /var/rhel4u2/rhel4.0as_u2_x86_cd1.iso
  disk type      : file
  disk image     : /root/rhel4u2_dom01.img
  disk size      : 4000
  vcpus          : 1
4. After finish guest OS installation, boot the VM by running following 
command. 
  # xm create /etc/xen/rhel4u2_dom01  
5. Check the memory size by running following command.  
  # xm list  
  
Actual results:
"maximum memory" value is used as VM memory when booted.  

Expected results:
"start up memory" value is used as VM memory when booted.  

Additional info:
The configuration file, "rhel4u2_dom01", is attached with this report.
Comment 1 RHEL Product and Program Management 2006-11-27 21:02:55 EST
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux major release.  Product Management has requested further
review of this request by Red Hat Engineering, for potential inclusion in a Red
Hat Enterprise Linux Major release.  This request is not yet committed for
inclusion.
Comment 2 Daniel Berrange 2007-06-14 15:25:17 EDT
The new virt-manager-0.4.0-1.el5 build is pushed to dist-5E-qu-candidate which
should resolve this issue.

The new VM wizard will now honour the max mem & memory settings correctly. In
this example log see maxmem=700 and memory=500:

Thu, 14 Jun 2007 23:25:16 DEBUG    Creating a VM dan
  Type: xen
  UUID: a88bcde8-119e-186c-d9b3-7d52d23d6824
  Source: http://qafiler.boston.redhat.com/redhat/rhel5-server-x86_64/
  OS: Generic
  Kickstart: 
  Memory: 500
  Max Memory: 700
  # VCPUs: 1
  Filesize: 3.90625
  Disk image: /var/lib/xen/images/dan.img
  Non-sparse file: True

After starting install you can verify with virsh:

# virsh dominfo dan | grep memory
Max memory:     716800 kB
Used memory:    511744 kB
Comment 7 errata-xmlrpc 2007-11-07 11:34:21 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHEA-2007-0637.html

Note You need to log in before you can comment on or make changes to this bug.